Bug 1827067 - openstack UPI: Installation leaks a server group
Summary: openstack UPI: Installation leaks a server group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 07:54 UTC by Pierre Prinetti
Modified: 2020-07-13 17:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The Installer-assisted manifest generation creates a server group in OpenStack as a side effect. Consequence: The server group generated by the installer is ignored in UPI Fix: Reuse the same server group in UPI. Result: The server group created by the Installer is used and eventually removed on teardown by the UPI scripts.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:30:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3500 0 None closed Bug 1827067: openstack UPI: Server group name to match IPI 2020-06-23 10:18:02 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:30:44 UTC

Description Pierre Prinetti 2020-04-23 07:54:32 UTC
Description of problem:

When creating manifests, the installer creates a server group in the OpenStack cluster. That server group is not used by the UPI playbooks, and is not collected in the playbook-assisted teardown.

Comment 1 Pierre Prinetti 2020-04-23 08:42:52 UTC
This bug is a consequence on UPI of https://bugzilla.redhat.com/show_bug.cgi?id=1823487

Comment 4 Pierre Prinetti 2020-04-27 08:29:05 UTC
With the proposed fix, the UPI playbook reuses the same server group created by the Installer. This is achieved by matching the UPI server-group name with the IPI server group name.

Comment 6 errata-xmlrpc 2020-07-13 17:30:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.